ctype.h File Reference
`#include <types.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions

bool | isalpha (char c)
bool | isupper (char c)
bool | islower (char c)
bool | isdigit (char c)
bool | isspace (char c)
char | toupper (char c)
char | tolower (char c)

## Detailed Description

Character type functions.

## Function Documentation

## isalpha()

bool isalpha | ( | char | c | ) |

Returns TRUE if the character c is a letter (a-z, A-Z), otherwise FALSE

Parameters

  c | Character to test

## isupper()

bool isupper | ( | char | c | ) |

Returns TRUE if the character c is an uppercase letter (A-Z), otherwise FALSE

Parameters

  c | Character to test

## islower()

bool islower | ( | char | c | ) |

Returns TRUE if the character c is a lowercase letter (a-z), otherwise FALSE

Parameters

  c | Character to test

## isdigit()

bool isdigit | ( | char | c | ) |

Returns TRUE if the character c is a digit (0-9), otherwise FALSE

Parameters

  c | Character to test

## isspace()

bool isspace | ( | char | c | ) |

Returns TRUE if the character c is a space (' '), tab (\t), or newline (\n) character, otherwise FALSE

Parameters

  c | Character to test

## toupper()

char toupper | ( | char | c | ) |

Returns uppercase version of character c if it is a letter (a-z), otherwise it returns the input value unchanged.

Parameters

  c | Character to test

## tolower()

char tolower | ( | char | c | ) |

Returns lowercase version of character c if it is a letter (A-Z), otherwise it returns the input value unchanged.

Parameters

  c | Character to test